package com.ho.flow.mapper;

import com.ho.common.tools.entity.WorkOrderPicture;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author yule
* @description 针对表【work_order_picture】的数据库操作Mapper
* @createDate 2023-02-04 14:19:18
* @Entity com.ho.flow.entity.WorkOrderPicture
*/
@Mapper
public interface WorkOrderPictureMapper {

    int deleteByPrimaryKey(Integer id);

    int insert(WorkOrderPicture record);

    int insertSelective(WorkOrderPicture record);

    WorkOrderPicture selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(WorkOrderPicture record);

    int updateByPrimaryKey(WorkOrderPicture record);

    List<WorkOrderPicture> selectByWorkOrderIdAndType(@Param("workOrderId") Long workOrderId, @Param("type")Integer type);

    void deletedBySrcIdsAndType(List<Long> ids, Integer type);

    void setUpWorkOrderIdIdNUll(List<Integer> pictureIds);

    //查询全部图片
    List<WorkOrderPicture> selectAll();

}
